Bug 1025331 - Firefox segfaults on headless systems
Summary: Firefox segfaults on headless systems
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-31 13:52 UTC by Simo Sorce
Modified: 2015-06-30 00:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:44:00 UTC


Attachments (Terms of Use)

Description Simo Sorce 2013-10-31 13:52:56 UTC
I did a minimal install of Fedora 20 then I did
yum install xorg-x11-xauth firefox

Firefox just crashes because it is missing vital dependencies.
I think this is a packaging bug in firfox or one of its dependencies.


What I see:

I ssh -Y into the Virtual Machine.

When I start firefox all I get is:
# firefox
 
(process:4444): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed
Gtk-Message: Failed to load module "canberra-gtk-module"
 
(firefox:4444): Pango-WARNING **: failed to choose a font, expect ugly output. engine-type='PangoRenderFc', script='common'
[root@idp ~]# Gtk-Message: Failed to load module "canberra-gtk-module"
 
(crashreporter:4478): Pango-WARNING **: failed to choose a font, expect ugly output. engine-type='PangoRenderFc', script='common'
 
(crashreporter:4478): Pango-WARNING **: failed to choose a font, expect ugly output. engine-type='PangoRenderFc', script='latin'


Expected outcome:
Installing firefox yields a working application

Comment 1 Ray Strode [halfline] 2013-10-31 14:16:05 UTC
So this is probably mostly fixed by comps groups, but it definitely shouldn't crash in the case someone didn't use the right comps groups.

I'd suggest 

Requires: font(:lang=en)

in the fontconfig spec file, so fontconfig gets at least one font (any font really) in this corner case, and comps still gets to set the rules for font policy in other cases.

Moving to fontconfig, to see if the fontconfig maintainer agrees with me

Comment 3 Akira TAGOH 2014-01-24 05:08:49 UTC
http://koji.fedoraproject.org/koji/buildinfo?buildID=493525

just pushed the package on rawhide with the above fix. let's see how it affects something, then will push updates for other releases. please test it.

Comment 4 Fedora End Of Life 2015-05-29 09:39:55 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-30 00:44:00 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.